Bug 86208 - Security issue in samba - remote anonymous root
Summary: Security issue in samba - remote anonymous root
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: samba   
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-17 09:57 UTC by Mark J. Cox
Modified: 2014-08-31 23:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-08 15:49:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2003-03-17 09:57:01 UTC
Sebastian Krahmer discovered a security vulnerability present
in unpatched versions of Samba prior to 2.2.8. An anonymous user could use
the vulnerability to gain root access on the target machine.
This is CAN-2003-0085

Additionally, a race condition could allow an attacker to overwrite
critical system files.
This is CAN-2003-0086

Updated packages based on samba 2.2.7 will be available shortly
RHSA-2003:096

http://www.samba.org/samba/whatsnew/samba-2.2.8.html

Comment 1 Jay Fenlason 2003-04-08 15:49:10 UTC
This was fixed in samba-2.2.7-2.21as and samba-2.2.7-3.21as


Note You need to log in before you can comment on or make changes to this bug.